;################################################################################
;#			Astronomical constants					#
;################################################################################
epoch		REAL8	2444238.5	;1980 January 0.0
;================================================================================

;################################################################################
;#		Constants defining the Sun's apparent orbit			#
;################################################################################
elonge		REAL8	278.833540	;Ecliptic longitude of the Sun at epoch 1980.0
elongp		REAL8	282.596403	;Ecliptic longitude of the Sun at perigee
eccent		REAL4	0.016718	;Eccentricity of Earth's orbit
sunsmax		REAL4	1.495985e8	;Semi-major axis of Earth's orbit, km
sunangsiz	REAL4	0.533128	;Sun's angular size, degrees, at semi-major axis distance
;================================================================================

;################################################################################
;#		Elements of the Moon's orbit, epoch 1980.0			#
;################################################################################
mmlong		REAL8	64.975464	;Moon's mean longitude at the epoch
mmlongp		REAL8	349.383063	;Mean longitude of the perigee at the epoch
;mlnode		REAL8	151.950429	;Mean longitude of the node at the epoch
;minc		REAL4	5.145396	;Inclination of the Moon's orbit
mecc		REAL4	0.054900	;Eccentricity of the Moon's orbit
mangsiz		REAL4	0.5181		;Moon's angular size at distance a from Earth
msmax		REAL4	384401.0	;Semi-major axis of Moon's orbit in km
;mparallax	REAL4	0.9507		;Parallax at distance a from Earth
synmonth	REAL8	29.5305873148148;Synodic month (new Moon to new Moon)
lunatbase	REAL4	2423436.0	;Base date for E. W. Brown's numbered series of lunations (1923 January 16)
;================================================================================

;################################################################################
;#				Properties of the Earth				#
;################################################################################
earthrad	REAL4	6378.16		;Radius of Earth in kilometres
;================================================================================

EPSILON					REAL4	1.0E-6
OneFiftyFivetenmillionths		REAL4	0.000000155
TwoThirtyNinemillionths			REAL4	0.00000239
ThreeFortySevenmillionths		REAL4	0.00000347
TwelveThirtySixhundredthousandths	REAL4	0.00001236
ThreeThirtyThreehundredthousandths	REAL4	0.0000333
Elevententhousanths			REAL4	0.0001178
Threetenthousandths			REAL4	0.0003
ThirtyThreetenthousanths		REAL4	0.00033
ThreeNinetyThreemillionths		REAL4	0.000393
Fourtenthousandths			REAL4	0.0004
Fivetenthousandths			REAL4	0.0005
Sixtenthousandths			REAL4	0.0006
Tententhousandths			REAL4	0.0010
Sixteententhousandths			REAL4	0.0016528
TwentyOnetenthousandths			REAL4	0.0021
TwentyEighttenthousandths		REAL4	0.0028
FortySevententhousandths		REAL4	0.0047
FiftyOnetenthousandths			REAL4	0.0051
SeventyFourtenthousandths		REAL4	0.0074
SeventyNinetenthousandths		REAL4	0.0079
EightyNinetenthousandths		REAL4	0.0089
Ninethousandths				REAL4	0.009173
Onehundredth				REAL4	0.01
OneZeroFourtenthousandths		REAL4	0.0104
Tenthousandths				REAL4	0.0107306
OneNineteententhousandths		REAL4	0.0119
OneSixtyOnetenthousandths		REAL4	0.0161
Onetenth				REAL4	0.1
Elevenhundredths			REAL4	0.1114041
OneEighth				REAL4	0.125
OneSeventyTwothousandths		REAL4	0.1721
OneSeventyThreethousandths		REAL4	0.1734
Eightteenhundredths			REAL4	0.1858
TwentyOnehundredths			REAL4	0.214
Quarter					REAL4	0.25
ThirtySevenhundredths			REAL4	0.37
Fourtenths				REAL4	0.4068
Half					REAL4	0.5
Sixtenths				REAL4	0.6280
SixtyFivehundredths			REAL4	0.6583
ThreeQuarters				REAL4	0.75
One_Twotenths				REAL4	1.2739
One_Half				REAL4	1.5
MilesperKm				REAL4	1.609347
Four					REAL4	4.0
Six_TwentyEighthundredths		REAL4	6.2886
Seven					REAL4	7.0
Twelve					REAL4	12.0
Twelve_ThirtySixhundredths		REAL4	12.3685
Thirteen_Seventeenhundredths		REAL8	13.1763966
;Fifteen_Half				REAL4	15.5
;Sixteen					REAL4	16.0
TwentyOne_TwentyNinehundredths		REAL4	21.2964
TwentyThree_Half			REAL4	23.5
TwentyFour				REAL4	24.0
TwentyNine_Onetenth			REAL8	29.10535608
Thirty_Sixtenth				REAL4	30.6001
FortyFive				REAL4	45.0
Sixty					REAL4	60.0
Onehundred				REAL4	100.0
OneTwentyTwo_Onetenth			REAL4	122.1
OneThirtyTwo_EightySevenhundredths	REAL4	132.87
OneSixtySix_FiftySixhundredths		REAL4	166.56
OneEighty				REAL4	180.0
ThreeZeroSix_Twohundredths		REAL4	306.0253
ThreeFiftyNine_TwentyTwohundredths	REAL4	359.2242
ThreeSixty				REAL4	360.0
ThreeSixtyFive_TwentyFourhundredths	REAL4	365.2422
ThreeSixtyFive_Quarter			REAL4	365.25
ThreeEightyFive_Eighttenths		REAL8	385.81691806
ThreeNinety_Sixtenths			REAL8	390.67050646
Onethousand				REAL4	1000.0
TwelveThirtySix_EightyFivehundredths	REAL4	1236.85
FifteenTwentyFour			REAL4	1524.0
FifteenTwentyFour_Half			REAL4	1524.5
Nineteenhundred				REAL4	1900.0
FortySevenSixteen			REAL4	4716.0
Tenthousand				REAL4	10000.0
ThirtySixFiveTwentyFour_Quarter		REAL4	36524.25
ThirtySixFiveTwentyFive			REAL4	36525.0
EightySixFourhundred			REAL4	86400.0
Onehundredthousand			REAL4	100000.0
EightteenSixtySevenTwoSixteen_Quarter	REAL8	1867216.25
TwentyTwoNinetyNineOneSixtyOne		REAL4	2299161.0
TwentyFourFifteenZeroTwenty		REAL4	2415020.0
TwentyFourFifteenZeroTwenty_Seventenths	REAL8	2415020.75933


szJulianDay		BYTE		"Julian Day:",0,0,0,0,0,0
szUniversalTime		BYTE		"Universal Time:",0,0
szLocalTime		BYTE		"Local Time:",0,0,0,0,0,0
szAgeofMoon		BYTE		"Age of Moon:",0,0,0,0,0
szMoonPhase		BYTE		"Moon Phase:",0,0,0,0,0,0
szMoonDist		BYTE		"Moon's Distance:",0
szMoonSubtends		BYTE		"Moon Subtends:",0,0,0
szSunDist		BYTE		"Sun's Distance:",0,0
szSunSubtends		BYTE		"Sun Subtends:",0,0,0,0
szNewMoon		BYTE		"Last New Moon:",0,0,0
szFirstQuarter		BYTE		"First Quarter:",0,0,0
szFullMoon		BYTE		"Full Moon:",0,0,0,0,0,0,0
szLastQuarter		BYTE		"Last Quarter:",0,0,0,0
szNextNewMoon		BYTE		"Next New Moon:",0

szJanuary		BYTE		"January",0,0,0
szFebruary		BYTE		"February",0,0
szMarch			BYTE		"March",0,0,0,0,0
szApril			BYTE		"April",0,0,0,0,0
szMay			BYTE		"May",0,0,0,0,0,0,0
szJune			BYTE		"June",0,0,0,0,0,0
szJuly			BYTE		"July",0,0,0,0,0,0
szAugust		BYTE		"August",0,0,0,0
szSeptember		BYTE		"September",0
szOctober		BYTE		"October",0,0,0
szNovember		BYTE		"November",0,0
szDecember		BYTE		"December",0				;,0

szDay			BYTE		"Day",0
szDays			BYTE		"Days",0				;4
szHour			BYTE		"Hour",0				;9
szHours			BYTE		"Hours",0				;14
szMinute		BYTE		"Minute",0				;20
szMinutes		BYTE		"Minutes",0				;27
szSecond		BYTE		"Second",0				;35
szSeconds		BYTE		"Seconds",0				;42

FormatDWORDtoASCII	BYTE		"%lu",0
FormatJulianDaytoASCII	BYTE		"%lu.%05lu",0
FormatSystemTimetoASCII	BYTE		"%s %2lu %2lu:%02lu:%02lu %s %ld",0
FormatMoonAgetoASCII	BYTE		"%lu %s, %lu %s, %lu %s, %lu %s",0
FormatMoonPhasetoASCII	BYTE		"%lu%%   (0%% = New, 100%% = Full)",0
FormatMoonDisttoASCII	BYTE		"%lu miles, %lu.%02lu Earth radii",0
FormatAngDiatoASCII	BYTE		"%ld.%04lu degrees",0
FormatSunDisttoASCII	BYTE		"%lu miles, %01lu.%03lu astronomical units",0
FormatLunationtoASCII	BYTE		"Lunation: %ld",0
FormatJulianTimetoASCII	BYTE		"%ld",0
szUTC			BYTE		"UTC",0
szJulian		BYTE		"JULIAN",0

szRun			BYTE		"&Run",0
szStop			BYTE		"&Stop",0
