TruePhase PROC
	LOCAL	content[108]:BYTE
	LOCAL	sin_m:REAL10
	LOCAL	Three_Four_cos_ms:REAL10
	LOCAL	sin_mprime:REAL10
	LOCAL	sin_m_amprime:REAL10
	LOCAL	sin_m_smprime:REAL10
	LOCAL	sin_2mprime:REAL10
	LOCAL	sin_2f:REAL10
	LOCAL	sin_2f_am:REAL10
	LOCAL	sin_2f_smprime:REAL10
	LOCAL	sin_2m_amprime:REAL10
	LOCAL	sin_m_s2mprime:REAL10
	LOCAL	sin_m_a2mprime:REAL10

	lea	edx,content						;st=k,st(1)=phase

;################################################################################
;#			Add phase to new moon time				#
;#				k=k+phase					#
;#		Time in Julian centuries from 1900 January 0.5			#
;#			t=k/1236.85,t2=t*t,t3=t2*t				#
;################################################################################
	fadd	st,st(1)						;st=k=k+phase,st(1)=phase
	fld	TwelveThirtySix_EightyFivehundredths			;st=1236.85,st(1)=k,st(2)=phase
	fdivr	st,st(1)						;st=t=k/1236.85,st(1)=k,st(2)=phase
	fld	st							;st=t,st(1)=t,st(2)=k,st(3)=phase
	fmul	st,st(1)						;st=t2=t*t,st(1)=t,st(2)=k,st(3)=phase
	fld	st							;st=t2,st(1)=t2,st(2)=t,st(3)=k,st(4)=phase
	fmul	st,st(2)						;st=t3=t2*t,st(1)=t2,st(2)=t,st(3)=k,st(4)=phase
;================================================================================

	fsave	content
	frstor	content							;st=t3,st(1)=t2,st(2)=t,st(3)=k,st(4)=phase

;################################################################################
;#				Mean time of phase				#
;#		pt=2415020.75933+synmonth*k+0.0001178*t2-0.000000155*t3		#
;#		+0.00033*dsin(166.56+132.87*t-0.009173*t2)			#
;################################################################################
	fmul	OneFiftyFivetenmillionths				;st=0.000000155*t3,st(1)=t2,st(2)=t,st(3)=k,st(4)=phase
	fxch	st(2)							;st=t,st(1)=t2,st(2)=0.000000155*t3,st(3)=k,st(4)=phase
	fmul	OneThirtyTwo_EightySevenhundredths			;st=132.87*t,st(1)=t2,st(2)=0.000000155*t3,st(3)=k,st(4)=phase
	fadd	OneSixtySix_FiftySixhundredths				;st=166.56+132.87*t,st(1)=t2,st(2)=0.000000155*t3,st(3)=k,st(4)=phase
	fld	Ninethousandths						;st=0.009173,st(1)=166.56+132.87*t,st(2)=t2,st(3)=0.000000155*t3,st(4)=k,st(5)=phase
	fmul	st,st(2)						;st=0.009173*t2,st(1)=166.56+132.87*t,st(2)=t2,st(3)=0.000000155*t3,st(4)=k,st(5)=phase
	fsub								;st=166.56+132.87*t-0.009173*t2,st(1)=t2,st(2)=0.000000155*t3,st(3)=k,st(4)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(166.56+132.87*t-0.009173*t2),st(1)=t2,st(2)=0.000000155*t3,st(3)=k,st(4)=phase

	fsin								;st=sin(degtorad(166.56+132.87*t-0.009173*t2)),st(1)=t2,st(2)=0.000000155*t3,st(3)=k,st(4)=phase
	fmul	ThirtyThreetenthousanths				;st=0.00033*sin(degtorad(166.56+132.87*t-0.009173*t2)),st(1)=t2,st(2)=0.000000155*t3,st(3)=k,st(4)=phase
	fsubrp	st(2),st						;st=t2,st(1)=-0.000000155*t3+0.00033*sin(degtorad(166.56+132.87*t-0.009173*t2)),st(2)=k,st(3)=phase
	fmul	Elevententhousanths					;st=0.0001178*t2,st(1)=-0.000000155*t3+0.00033*sin(degtorad(166.56+132.87*t-0.009173*t2)),st(2)=k,st(3)=phase
	fadd								;st=0.0001178*t2-0.000000155*t3+0.00033*sin(degtorad(166.56+132.87*t-0.009173*t2)),st(1)=k,st(2)=phase
	fld	synmonth						;st=synmonth,st(1)=0.0001178*t2-0.000000155*t3+0.00033*sin(degtorad(166.56+132.87*t-0.009173*t2)),st(2)=k,st(3)=phase
	fmul	st,st(2)						;st=synmonth*k,st(1)=0.0001178*t2-0.000000155*t3+0.00033*sin(degtorad(166.56+132.87*t-0.009173*t2)),st(2)=k,st(3)=phase
	fadd								;st=synmonth*k+0.0001178*t2-0.000000155*t3+0.00033*sin(degtorad(166.56+132.87*t-0.009173*t2)),st(1)=k,st(2)=phase
	fadd	TwentyFourFifteenZeroTwenty_Seventenths			;st=pt=2415020.75933+synmonth*k+0.0001178*t2-0.000000155*t3+0.00033*sin(degtorad(166.56+132.87*t-0.009173*t2)),st(1)=k,st(2)=phase
;================================================================================

;################################################################################
;#				Sun's mean anomaly				#
;#		m=359.2242+29.10535608*k-0.0000333*t2-0.00000347*t3		#
;################################################################################
	fld	REAL10 PTR[edx+28]					;st=t3,st(1)=pt,st(2)=k,st(3)=phase
	fmul	ThreeFortySevenmillionths				;st=0.00000347*t3,st(1)=pt,st(2)=k,st(3)=phase
	fld	REAL10 PTR[edx+38]					;st=t2,st(1)=0.00000347*t3,st(2)=pt,st(3)=k,st(4)=phase
	fmul	ThreeThirtyThreehundredthousandths			;st=0.0000333*t2,st(1)=0.00000347*t3,st(2)=pt,st(3)=k,st(4)=phase
	fadd								;st=0.0000333*t2+0.00000347*t3,st(1)=pt,st(2)=k,st(3)=phase
	fld	TwentyNine_Onetenth					;st=29.10535608,st(1)=0.0000333*t2+0.00000347*t3,st(2)=pt,st(3)=k,st(4)=phase
	fmul	st,st(3)						;st=29.10535608*k,st(1)=0.0000333*t2+0.00000347*t3,st(2)=pt,st(3)=k,st(4)=phase
	fsubr								;st=29.10535608*k-0.0000333*t2-0.00000347*t3,st(1)=pt,st(2)=k,st(3)=phase
	fadd	ThreeFiftyNine_TwentyTwohundredths			;st=m=359.2242+29.10535608*k-0.0000333*t2-0.00000347*t3,st(1)=pt,st(2)=k,st(3)=phase
;================================================================================

;################################################################################
;#				Moon's mean anomaly				#
;#		mprime=306.0253+385.81691806*k+0.0107306*t2+0.00001236*t3	#
;################################################################################
	fld	REAL10 PTR[edx+28]					;st=t3,st(1)=m,st(2)=pt,st(3)=k,st(4)=phase
	fmul	TwelveThirtySixhundredthousandths			;st=0.00001236*t3,st(1)=m,st(2)=pt,st(3)=k,st(4)=phase
	fld	REAL10 PTR[edx+38]					;st=t2,st(1)=0.00001236*t3,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
	fmul	Tenthousandths						;st=0.0107306*t2,st(1)=0.00001236*t3,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
	fadd								;st=0.0107306*t2+0.00001236*t3,st(1)=m,st(2)=pt,st(3)=k,st(4)=phase
	fld	ThreeEightyFive_Eighttenths				;st=385.81691806,st(1)=0.0107306*t2+0.00001236*t3,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
	fmul	st,st(4)						;st=385.81691806*k,st(1)=0.0107306*t2+0.00001236*t3,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
	fadd								;st=385.81691806*k+0.0107306*t2+0.00001236*t3,st(1)=m,st(2)=pt,st(3)=k,st(4)=phase
	fadd	ThreeZeroSix_Twohundredths				;st=mprime=306.0253+385.81691806*k+0.0107306*t2+0.00001236*t3,st(1)=m,st(2)=pt,st(3)=k,st(4)=phase
;================================================================================

;################################################################################
;#			Moon's argument of latitude				#
;#		f=21.2964+390.67050646*k-0.0016528*t2-0.00000239*t3		#
;################################################################################
	fld	REAL10 PTR[edx+28]					;st=t3,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
	fmul	TwoThirtyNinemillionths					;st=0.00000239*t3,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
	fld	REAL10 PTR[edx+38]					;st=t2,st(1)=0.00000239*t3,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=k,st(6)=phase
	fmul	Sixteententhousandths					;st=0.0016528*t2,st(1)=0.00000239*t3,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=k,st(6)=phase
	fadd								;st=0.0016528*t2+0.00000239*t3,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
	fld	ThreeNinety_Sixtenths					;st=390.67050646,st(1)=0.0016528*t2+0.00000239*t3,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=k,st(6)=phase
	fmul	st,st(5)						;st=390.67050646*k,st(1)=0.0016528*t2+0.00000239*t3,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=k,st(6)=phase
	fsubr								;st=390.67050646*k-0.0016528*t2-0.00000347*t3,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
	fadd	TwentyOne_TwentyNinehundredths				;st=f=21.2964+390.67050646*k-0.0016528*t2-0.00000239*t3,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=k,st(5)=phase
;================================================================================

;################################################################################
;#			sin_m=sin(degtorad(m))					#
;#			Four_cos_m=0.0004*cos(degtorad(m))			#
;################################################################################
	fld	st(2)							;st=m,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=k,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(m),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=k,st(6)=phase

	fsincos								;st=cos(degtorad(m)),st(1)=sin_m=sin(degtorad(m)),st(2)=f,st(3)=mprime,st(4)=m,st(5)=pt,st(6)=k,st(7)=phase
	fmul	Fourtenthousandths					;st=Four_cos_m=0.0004*cos(degtorad(m)),st(1)=sin_m=sin(degtorad(m)),st(2)=f,st(3)=mprime,st(4)=m,st(5)=pt,st(6)=k,st(7)=phase

	fstp	st(6)	;REAL10 PTR[Four_cos_m]				;st=sin_m,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase
	fstp	sin_m							;st=f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=Four_cos_m,st(5)=phase
;================================================================================

;################################################################################
;#			sin_mprime=sin(degtorad(mprime))			#
;#			Three_cos_mprime=0.0003*cos(degtorad(mprime))		#
;#			Three_Four_cos_ms=Three_cos_mprime-Four_cos_m		#
;################################################################################
	fld	st(1)							;st=mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(mprime),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	fsincos								;st=cos(degtorad(mprime)),st(1)=sin_mprime=sin(degtorad(mprime)),st(2)=f,st(3)=mprime,st(4)=m,st(5)=pt,st(6)=Four_cos_m,st(7)=phase
	fmul	Threetenthousandths					;st=Three_cos_mprime=0.0003*cos(degtorad(mprime)),st(1)=sin_mprime=sin(degtorad(mprime)),st(2)=f,st(3)=mprime,st(4)=m,st(5)=pt,st(6)=Four_cos_m,st(7)=phase
	fsub	st,st(6)						;st=Three_Four_cos_ms=Three_cos_mprime-Four_cos_m,st(1)=sin_mprime=sin(degtorad(mprime)),st(2)=f,st(3)=mprime,st(4)=m,st(5)=pt,st(6)=Four_cos_m,st(7)=phase

	fstp	Three_Four_cos_ms					;st=sin_mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase
	fstp	sin_mprime						;st=f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=Four_cos_m,st(5)=phase
;================================================================================

;################################################################################
;#			sin_m_amprime=sin(degtorad(m+mprime))			#
;################################################################################
	fld	st(2)							;st=m,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase
	fadd	st,st(2)						;st=m+mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(m+mprime),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	fsin								;st=sin(degtorad(m+mprime)),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	fstp	sin_m_amprime						;st=f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=Four_cos_m,st(5)=phase
;================================================================================

;################################################################################
;#			sin_m_smprime=sin(degtorad(m-mprime))			#
;################################################################################
	fld	st(2)							;st=m,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase
	fsub	st,st(2)						;st=m-mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(m-mprime),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	fsin								;st=sin(degtorad(m-mprime)),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	fstp	sin_m_smprime						;st=f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=Four_cos_m,st(5)=phase
;================================================================================

;################################################################################
;#			TwentyOne_sin_2m=0.0021*sin(degtorad(2*m))		#
;################################################################################
	fld	st(2)							;st=m,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase
	fadd	st,st							;st=2*m,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(2*m),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	fsin								;st=sin(degtorad(2*m)),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase
	fmul	TwentyOnetenthousandths					;st=TwentyOne_sin_2m=0.0021*sin(degtorad(2*m)),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=Four_cos_m,st(6)=phase

	fstp	st(5)	;REAL10 PTR[TwentyOne_sin_2m]			;st=f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m,st(5)=phase
;================================================================================

;################################################################################
;#			sin_2mprime=sin(degtorad(2*mprime))			#
;################################################################################
	fld	st(1)							;st=mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase
	fadd	st,st							;st=2*mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(2*mprime),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase

	fsin								;st=sin(degtorad(2*mprime)),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase

	fstp	sin_2mprime						;st=f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m,st(5)=phase
;================================================================================

;################################################################################
;#			Four_sin_3mprime=0.0004*sin(degtorad(3*mprime))		#
;################################################################################
	fld	st(1)							;st=mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase
	fadd	st,st							;st=2*mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase
	fadd	st,st(2)						;st=3*mprime,st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(3*mprime),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase

	fsin								;st=sin(degtorad(3*mprime)),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase
	fmul	Fourtenthousandths					;st=Four_sin_3mprime=0.0004*sin(degtorad(3*mprime)),st(1)=f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m,st(6)=phase
	fsubp	st(5),st						;st=f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime,st(5)=phase

;	fstp	Four_sin_3mprime					;st=f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m,st(5)=phase
;================================================================================

;################################################################################
;#			sin_2f=sin(degtorad(2*f))				#
;################################################################################
	fadd	st,st							;st=2*f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime,st(5)=phase
	fld	st							;st=2*f,st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(2*f),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase

	fsin								;st=sin(degtorad(2*f)),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase

	fstp	sin_2f							;st=2*f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime,st(5)=phase
;================================================================================

;################################################################################
;#			sin_2f_am=sin(degtorad(2*f+m))				#
;################################################################################
	fld	st							;st=2*f,st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase
	fadd	st,st(3)						;st=2*f+m,st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(2*f+m),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase

	fsin								;st=sin(degtorad(2*f+m)),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase

	fstp	sin_2f_am						;st=2*f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime,st(5)=phase
;================================================================================

;################################################################################
;#			Four_sin_2f_sm=0.0004*sin(degtorad(2*f-m))		#
;################################################################################
	fld	st							;st=2*f,st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase
	fsub	st,st(3)						;st=2*f-m,st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(2*f-m),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase

	fsin								;st=sin(degtorad(2*f-m)),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase
	fmul	Fourtenthousandths					;st=Four_sin_2f_sm=0.0004*sin(degtorad(2*f-m)),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime,st(6)=phase
	fsubp	st(5),st						;st=2*f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm,st(5)=phase

;	fstp	Four_sin_2f_sm						;st=2*f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime,st(5)=phase
;================================================================================

;################################################################################
;#		Six_sin_2f_amprime=0.0006*sin(degtorad(2*f+mprime))		#
;################################################################################
	fld	st							;st=2*f,st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm,st(6)=phase
	fadd	st,st(2)						;st=2*f+mprime,st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm,st(6)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(2*f+mprime),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm,st(6)=phase

	fsin								;st=sin(degtorad(2*f+mprime)),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm,st(6)=phase
	fmul	Sixtenthousandths					;st=Six_sin_2f_amprime=0.0006*sin(degtorad(2*f+mprime)),st(1)=2*f,st(2)=mprime,st(3)=m,st(4)=pt,st(5)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm,st(6)=phase
	fsubp	st(5),st						;st=2*f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

;	fstp	Six_sin_2f_amprime					;st=2*f,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm,st(5)=phase
;================================================================================

;################################################################################
;#			sin_2f_smprime=sin(degtorad(2*f-mprime))		#
;################################################################################
	fsub	st,st(1)						;st=2*f-mprime,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(2*f-mprime),st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	fsin								;st=sin(degtorad(2*f-mprime)),st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	fstp	sin_2f_smprime						;st=mprime,st(1)=m,st(2)=pt,st(3)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(4)=phase
;================================================================================

;################################################################################
;#			sin_2m_amprime=sin(degtorad(2*m+mprime))		#
;################################################################################
	fld	st(1)							;st=m,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase
	fadd	st,st							;st=2*m,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase
	fadd	st,st(1)						;st=2*m+mprime,st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(2*m+mprime),st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	fsin								;st=sin(degtorad(2*m+mprime)),st(1)=mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	fstp	sin_2m_amprime						;st=mprime,st(1)=m,st(2)=pt,st(3)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(4)=phase
;================================================================================

;################################################################################
;#			sin_m_a2mprime=sin(degtorad(m+2*mprime))		#
;#			sin_m_s2mprime=sin(degtorad(m-2*mprime))		#
;################################################################################
	fadd	st,st							;st=2*mprime,st(1)=m,st(2)=pt,st(3)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(4)=phase
	fld	st							;st=2*mprime,st(1)=2*mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase
	fsubr	st,st(2)						;st=m-2*mprime,st(1)=2*mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(m-2*mprime),st(1)=2*mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	fsin								;st=sin(degtorad(m-2*mprime)),st(1)=2*mprime,st(2)=m,st(3)=pt,st(4)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(5)=phase

	fstp	sin_m_s2mprime						;st=2*mprime,st(1)=m,st(2)=pt,st(3)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(4)=phase

	fadd								;st=m+2*mprime,st(1)=pt,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=phase

	INVOKE	FPUDegtoRad						;st=degtorad(m+2*mprime),st(1)=pt,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=phase

	fsin								;st=sin(degtorad(m+2*mprime)),st(1)=pt,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=phase

	fstp	sin_m_a2mprime						;st=pt,st(1)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=phase
;================================================================================

	fxch	st(2)							;st=phase,st(1)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	st							;st=phase,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fcomp	Onehundredth						;st=phase,st(1)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fstsw	ax							;retrieve exception flags from FPU
	fwait
	sahf								;transfer to the CPU flags
	jz	TruePhase00004

	jc	TruePhase00000

	fld	st							;st=phase,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsub	Half							;st=phase-0.5,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fabs								;st=abs(phase-0.5),st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fcomp	Onehundredth						;st=phase,st(1)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fstsw	ax							;retrieve exception flags from FPU
	fwait
	sahf								;transfer to the CPU flags
	jz	TruePhase00004

	jnc	TruePhase00001

TruePhase00000:

	fld	REAL10 PTR[edx+48]					;st=t,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	ThreeNinetyThreemillionths				;st=0.000393*t,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsubr	OneSeventyThreethousandths				;st=0.1734-0.000393*t,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fld	sin_m							;st=sin_m,st(1)=0.1734-0.000393*t,st(2)=phase,st(3)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(4)=pt
	fmul								;st=(0.1734-0.000393*t)*sin_m,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_mprime						;st=sin_mprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	Fourtenths						;st=0.4068*sin_mprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsubp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_2mprime						;st=sin_2mprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	OneSixtyOnetenthousandths				;st=0.0161*sin_2mprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_2f							;st=sin_2f,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	OneZeroFourtenthousandths				;st=0.0104*sin_2f,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_m_amprime						;st=sin_m_amprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	FiftyOnetenthousandths					;st=0.0051*sin_m_amprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsubp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_m_smprime						;st=sin_m_smprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	SeventyFourtenthousandths				;st=0.0074*sin_m_smprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsubp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_2f_am						;st=sin_2f_am,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	Fourtenthousandths					;st=0.0004*sin_2f_am,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_2f_smprime						;st=sin_2f_smprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	Tententhousandths					;st=0.0010*sin_2f_smprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0010*sin_2f_smprime,st(2)=pt
	fld	sin_m_a2mprime						;st=sin_m_a2mprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0010*sin_2f_smprime,st(3)=pt
	fmul	Fivetenthousandths					;st=0.0005*sin_m_a2mprime,st(1)=phase,st(2)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0010*sin_2f_smprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0010*sin_2f_smprime+0.0005*sin_m_a2mprime,st(2)=pt
	fstp	st							;st=(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0010*sin_2f_smprime+0.0005*sin_m_a2mprime,st(1)=pt
	fadd								;st=pt=pt+(0.1734-0.000393*t)*sin_m+TwentyOne_sin_2m-0.4068*sin_mprime+0.0161*sin_2mprime-Four_sin_3mprime+0.0104*sin_2f-0.0051*sin_m_amprime-0.0074*sin_m_smprime+0.0004*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0010*sin_2f_smprime+0.0005*sin_m_a2mprime
	jmp	TruePhase00004

TruePhase00001:

	fld	st							;st=phase,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsub	Quarter							;st=phase-0.25,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fabs								;st=abs(phase-0.25),st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fcomp	Onehundredth						;st=phase,st(1)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fstsw	ax							;retrieve exception flags from FPU
	fwait
	sahf								;transfer to the CPU flags
	jz	TruePhase00004

	jc	TruePhase00002

	fld	st							;st=phase,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsub	ThreeQuarters						;st=phase-0.75,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fabs								;st=abs(phase-0.75),st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fcomp	Onehundredth						;st=phase,st(1)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fstsw	ax							;retrieve exception flags from FPU
	fwait
	sahf								;transfer to the CPU flags
	jz	TruePhase00004

	jnc	TruePhase00004

TruePhase00002:

	fld	REAL10 PTR[edx+48]					;st=t,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	Fourtenthousandths					;st=0.0004*t,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsubr	OneSeventyTwothousandths				;st=0.1721-0.0004*t,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fld	sin_m							;st=sin_m,st(1)=0.1721-0.0004*t,st(2)=phase,st(3)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(4)=pt
	fmul								;st=(0.1721-0.0004*t)*sin_m,st(1)=phase,st(2)=TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_mprime						;st=sin_mprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	Sixtenths						;st=0.6280*sin_mprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsubp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_2mprime						;st=sin_2mprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	EightyNinetenthousandths				;st=0.0089*sin_2mprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_2f							;st=sin_2f,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	SeventyNinetenthousandths				;st=0.0079*sin_2f,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_m_amprime						;st=sin_m_amprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	OneNineteententhousandths				;st=0.0119*sin_m_amprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsubp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_m_smprime						;st=sin_m_smprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	FortySevententhousandths				;st=0.0047*sin_m_smprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fsubp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_2f_am						;st=sin_2f_am,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	Threetenthousandths					;st=0.0003*sin_2f_am,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime,st(2)=pt
	fld	sin_2f_smprime						;st=sin_2f_smprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	fmul	TwentyOnetenthousandths					;st=0.0021*sin_2f_smprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime,st(2)=pt
	fld	sin_m_a2mprime						;st=sin_m_a2mprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime,st(3)=pt
	fmul	Threetenthousandths					;st=0.0003*sin_m_a2mprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime,st(2)=pt
	fld	sin_m_s2mprime						;st=sin_m_s2mprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime,st(3)=pt
	fmul	Fourtenthousandths					;st=0.0004*sin_m_s2mprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime,st(3)=pt
	faddp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime+0.0004*sin_m_s2mprime,st(2)=pt
	fld	sin_2m_amprime						;st=sin_2m_amprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime+0.0004*sin_m_s2mprime,st(3)=pt
	fmul	Threetenthousandths					;st=0.0003*sin_2m_amprime,st(1)=phase,st(2)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime+0.0004*sin_m_s2mprime,st(3)=pt
	fsubp	st(2),st						;st=phase,st(1)=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime+0.0004*sin_m_s2mprime-0.0003*sin_2m_amprime,st(2)=pt
	fxch								;st=(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime+0.0004*sin_m_s2mprime-0.0003*sin_2m_amprime,st(1)=phase,st(2)=pt
	faddp	st(2),st						;st=phase,st(1)=pt=pt+(0.1721-0.0004*t)*sin_m+TwentyOne_sin_2m-0.6280*sin_mprime+0.0089*sin_2mprime-Four_sin_3mprime+0.0079*sin_2f-0.0119*sin_m_amprime-0.0047*sin_m_smprime+0.0003*sin_2f_am-Four_sin_2f_sm-Six_sin_2f_amprime+0.0021*sin_2f_smprime+0.0003*sin_m_a2mprime+0.0004*sin_m_s2mprime-0.0003*sin_2m_amprime
	fcomp	Half							;st=pt
	fstsw	ax							;retrieve exception flags from FPU
	fwait
	sahf								;transfer to the CPU flags
	fld	Three_Four_cos_ms					;st=Three_Four_cos_ms,st(1)=pt
	fadd	TwentyEighttenthousandths				;st=0.0028+Three_Four_cos_ms,st(1)=pt
	ja	TruePhase00003

	fadd								;st=pt=pt+(0.0028+Three_Four_cos_ms)
	jmp	TruePhase00004

TruePhase00003:

	fsub								;st=pt=pt-(0.0028+Three_Four_cos_ms)

TruePhase00004:

	ret

TruePhase ENDP